Jump to content

TaRoc Jua

Resident
  • Content Count

    2
  • Joined

  • Last visited

Community Reputation

0 Neutral

About TaRoc Jua

  • Rank
    Newbie
  1. I am using a MacBook running Snow Leopard. I've had no compatibility problems using Phoenix 1.5.2.1102 along with the standard SL Viewer. I am going to hold off getting Lion until I am sure SL and Phoenix are running smoothly. Have not tried Firestorm.
×
×
  • Create New...